Display & Video 360 API 現在支援管理需求開發資源。請參閱
這份新指南,瞭解如何建立及放送需求開發廣告活動。
Google 會運用 AI 技術將內容翻譯成你偏好的語言,但可能會出錯。
Method: customBiddingAlgorithms.uploadScript
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
為指令碼檔案建立自訂出價指令碼參考物件。
產生的參考物件會提供資源路徑,腳本檔案應上傳至該路徑。建立新的自訂出價指令碼物件時,應包含這個參照物件。
HTTP 要求
GET https://displayvideo.googleapis.com/v4/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadScript
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
customBiddingAlgorithmId |
string (int64 format)
必填。擁有指令碼的自訂出價演算法 ID。
|
查詢參數
| 參數 |
| 必填。用來識別擁有父項自訂出價演算法的 DV360 實體。擁有者可以是夥伴或廣告主。以下列出互斥欄位。回應中最多會設定一個欄位: |
partnerId |
string (int64 format)
擁有父項自訂出價演算法的合作夥伴 ID。 只有這個合作夥伴可以寫入存取這項自訂出價指令碼。
|
advertiserId |
string (int64 format)
擁有上層自訂出價演算法的廣告主 ID。
|
| 互斥欄位的結尾。 |
回應主體
如果成功,回應主體會包含 CustomBiddingScriptRef 的執行個體。
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/display-video
詳情請參閱OAuth 2.0 Overview。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-10-01 (世界標準時間)。
[null,null,["上次更新時間:2026-10-01 (世界標準時間)。"],[],["The Display & Video 360 API v4, in beta, allows creating a custom bidding script reference object via a `GET` request. The request URL requires the `customBiddingAlgorithmId` as a path parameter. It also needs either a `partnerId` or `advertiserId` as a query parameter to identify the script owner. The request body should be empty. A successful response provides a `CustomBiddingScriptRef` object with a resource path for uploading the script file. This action requires the `https://www.googleapis.com/auth/display-video` OAuth scope.\n"]]